Bug 1071949 - RBAC: Redirect when trying to access "Security Domains" page without permissions
Summary: RBAC: Redirect when trying to access "Security Domains" page without permissions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR2
: EAP 6.3.0
Assignee: Harald Pehl
QA Contact: Jakub Cechacek
Russell Dickenson
URL:
Whiteboard:
Depends On: 1072486
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-03 14:29 UTC by Jakub Cechacek
Modified: 2015-02-01 23:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-28 15:24:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Jakub Cechacek 2014-03-03 14:29:58 UTC
When trying to access "Security Domains" page without permissions, the user is redirected to "Web Services" page. 

This behavior is incorrect - an information message should be displayed instead. To see a correct behavior visit for example "Administration - Role Assignment" page.

Comment 1 Jakub Cechacek 2014-03-10 07:45:36 UTC
Verified 6.3.0.DR2


Note You need to log in before you can comment on or make changes to this bug.